using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;
using Topsdk.Top.Defaultability.Domain;

namespace Topsdk.Top.Defaultability.Request;

public class TaobaoTbkOptimusTouMaterialIdsGetRequest : AbstractTopApiRequest
{

    /*
        请求结构
            */
    private TaobaoTbkOptimusTouMaterialIdsGetMaterialQuery? materialQuery;


    [JsonPropertyName("material_query")]
    public TaobaoTbkOptimusTouMaterialIdsGetMaterialQuery? MaterialQuery
    {
        get => materialQuery;
        set => this.materialQuery = value;
    }



    public override IDictionary<string, string> ToRequestParam()
    {
        IDictionary<string, string> requestParam = new Dictionary<string, string>();
        if(this.materialQuery != null)
        {
            requestParam.Add("material_query",TopUtils.ConvertStruct(this.materialQuery));
        }
        return requestParam;
    }

    public override IDictionary<string, TopFileItem> ToFileParam()
    {
        IDictionary<string, TopFileItem> fileParam = new Dictionary<string, TopFileItem>();
        return fileParam;
    }

    public override string GetApiCode()
    {
        return "taobao.tbk.optimus.tou.material.ids.get";
    }

}

